Quantum state discrimination, Bayesian measurement. Each state of the quantum sequence is measured using Helstrom, after each measurement the measurement device is adjusted according to the past experimental result using Bayesian inference.